Untitled

Agama Web Buttons ver 2.51

Created by MP Software ©2004-2005
Program Agama Web Buttons je chráněn zákonem na ochranu atorských práv viz kapitola licenční ujednání.

O programu Agama Web Buttons

Agama Web Buttons je profesionální nástroj pro vytváření unikátních Webových tlačítek. Tlačítka jsou vytvářena na základě předloh, které jsou obsaženy v balíčcích. Základní instalace Agama Web Buttons obsahuje cca. 30 balíčků, které dohromady obsahují více než 400 kvalitních předloh tlačítek, které můžete okamžitě používat. Protože s vývojem nových předloh nikdy nekončíme, můžete stahovat mnoho dalších balíčků s kvalitními předlohami ze stránky http://agamabuttons.wz.cz S nástrojem Agama Web Buttons můžete vytvářet tlačítka 2D, 3D, skleněné, kovové nebo i třeba tlačítka ve stylu Windows XP. Právě obrovská různorodost tlačítek, která lze s Agamou jednoduše vytvářet, je značnou předností oproti konkurenčním programům.

Systémové požadavky

Operační Systém: Microsoft Windows 95/98/Me, Windows NT4.0, Windows 2000, Windows XP
CPU: Pentium
Paměť: 32M nebo více
Volné místo na disku: 18M

Jaký je rozdíl mezi zkušební a plnou verzí programu

Zkušební verze programu je zcela zdarma a její používání není nijak časově omezeno. Oproti plné verzi však není možné používat některé předlohy tlačítek, není možné modifikovat, resp. vytvářet vlastní nové balíčky s předlohami tlačítek a text exportovaného tlačítka je omezen na 9 znaků. Pro webdesignery, webmastery a vlastně všechny, kteří se chtějí vývoji webových stránek věnovat naplno, doporučujeme zakoupení plné licence programu, která bude pro vaši práci znamenat značný přínos v kvalitě a úspoře času.

Jak získat plnou verzi programu

Plnou verzi programu Agama Web Buttons můžete získat po registraci a úhradě příslušného poplatku. Okamžitě po ověření pltaby, což trvá v případě bankovního převodu cca. 2 dny, obdržíte Emailem registrační klíč, kterým odemknete všechny funkce programu. Registrací získáte nárok na všechny pozdější inovace programu a všechny nově vydané balíčky s přdlohami tlačítke zcela zdarma. Zaregistrovat se můžete zde: http://agamabuttons.wz.cz/order.html


Licence

Licenční podmínky

Program Agama Web Buttons je šířen pod shareware licencí, používání tohoto programu se řídí obecnými pravidly shareware licence a dále níže uvedenými pravidly.

1) Program může uživatel používat bez časového omezení.

2) Plná funkcionalita programu je dostupná pouze po registraci produktu, respektive uhrazení licenčního poplatku.

3) Neregistrovaná, resp. zkušební kopie tohoto programu nesmí být používána pro komerční účely, tzn. veškeré soubory vytvořené tímto programem nesmí být zveřejněny na www stránkách s komerčním obsahem a nesmí být ani jinak použity pro komerční účel.

4) Program a jeho součásti není dovoleno žádným způsobem upravovat!

5) Program může být volně šířen, avšak bez registračního klíče !

6) Šíření a zveřejňování registračního klíče je zakázáno!

7) Zaregistrovaný program, resp. jeho plnou verzi je povoleno provozovat:

  1. v případě soukromé osoby - na všech počítačích v domácnosti a všemi členy domácnosti.
  2. v případě právnické osoby - na maximálně 3 počítačích. Pro každé další 3 započaté počítače je nutné provést další registraci a získat licenci. Program mohou na licencí dotčených PC používat všichni zaměstnanci/podílníci ve vztahu k právnické osobě, která program registrovala.

8) Uživatel má po zaregistrování programu nárok na jeho další inovované verze a to bezplatně.

9) Držitel plné licence má nárok na technickou podporu prostřednictvím stránky http://agamabuttons.wz.cz/support.html a to bez blíže určeného rozsahu.

10) Autor programu neodpovídá za žádné případné škody způsobené jeho provozováním.

11) Program Agama Web Buttons je chráněn autorským právem dle platných zákonů.

MP Software - Martin Procházka ©2005 agamabuttons.wz.cz


Jak vytvořit tlačítko - základní ovládací prvky programu

Agama Web Buttons ver 2.51

Created by MP Software ©2004-2005
Program Agama Web Buttons je chráněn zákonem na ochranu atorských práv viz kapitola licenční ujednání.

Jak vytvořit mé tlačítko - úvod

Program Agama Web Buttons vám umožní vytvářet grafická tlačítka pro vaše stránky, ale také upravovat stávající předinstalované předlohy tlačítek, a dokonce vám umožní vytvářet zcela nové předlohy tlačítek, které pak může někdo jiný použít pro tvorbu webových stránek. Všechny tyto operace vám umožní provádět jediné dialogové okno, jehož množina ovládacích prvků se liší podle toho, zda chcete jen upravovat stávající předlohu tlačítka, komponovat tlačítko pro vaší webovou stránku nebo zda chcete vytvářet zcela nové předlohy tlačítek. Toto dialogové okno také umožňuje vytvořit celou skupinu tlačítek, resp. menu pro vaše stránky a to pak hromadně exportovat včetně HTML dokumentu.
Ale vše popořadě...

Osvojíte-li si vytváření tlačítek na základě předinstalovaných předloh, budete již umět vlastně vše, a od vytváření vašich vlastních nových předloh a balíčků je již jen krůček.

S největší pravděpodobností jste si již v hlavním okně programu prohlédli všechny předlohy tlačítek, které jsou obsaženy v nainstalovaných balíčcích. Nyní přistoupíme k vytvoření vašeho prvního grafického tlačítka, které bude odpovídat vašim představám a bude přesně zapadat do vašich stránek.

Jak vytvořit mé tlačítko - spuštění okna pro kompozici tlačítka

Dialogové okno, které vám umožní zkomponovat tlačítko na základě vybrané předlohy, můžete spustit několika způsoby:

  1. dvojklikem na vámi vybrané předloze tlačítka v hlavním okně programu
  2. stisknutím pravého tlačítka myši nad vybranou předlohou tlačítka a dále volbou
    Vytvořit moje tlačítko… v takto zobrazeném lokálním menu
  3. Označením předlohy tlačítka a stisknutím grafického symbolu s nápisem New v hlavní nástrojové liště
  4. Volbou v menu: Tlačítko > Vytvořit moje tlačítko…

Poté dojde k zobrazení dialogového okna Vytvoření mého tlačítka nebo tlačítkového menu. Toto okno obsahuje několik záložek, na kterých je řada ovládacích prvků, které vám umožní upravit tlačítko dle vašich představ. Toto okno ve své dolní polovině obsahuje okamžitý náhled vašeho tlačítka, kde v reálném čase vidíte výsledek svého snažení. V tomto panelu se také nacházejí ovládací prvky, pomocí kterých můžete vaše grafické tlačítko vložit do menu, ale o tom až později.

Nyní si popíšeme všechny záložky, jejich určení a funkce ovládacích prvků, které se na těchto záložkách nacházejí.

Jak vytvořit mé tlačítko - Změna velikosti a barvy tlačítka

Záložka Velikost a barva

Tato záložka umožňuje nastavit velikost vašeho tlačítka, změnit jeho barvu a určit, zda je pozadí tlačítka průhledné. Dále je možné upravit světlost a kontrast vašeho tlačítka.

Změna velikosti tlačítka

Editační pole Šířka vám umožní nastavit šířku tlačítka v pixelech. Editační pole Výška vám umožní nastavit výšku tlačítka v pixelech. Zaškrtávací pole Zachovat poměr stran uzamkne editační pole Výška a nadále je možné zvětšovat tlačítko pouze editačním polem Šířka, přičemž se ve stanoveném poměru mění velikost i výšky tlačítka, poměr stran je odvozen od originálního obrázku tlačítka použitém v předloze.

Tip - zde je na čase si zjednodušeně říci, jak funguje změna velikosti tlačítka. Agama Web Buttons používá dvě metody k docílení změny velikosti tlačítka. Tzv. protahování bitmapy a kopírování/mazání části bitmapy. Použitá metoda je nastavena tvůrcem předlohy tlačítka a více o této problematice se dozvíte v kapitole Jak vytvářet či upravovat vlastní předlohy. Pro tento okamžik si jen zapamatujme, že při přílišném zmenšení tlačítka může dojít k deformaci, resp. zmizení části tlačítka. Tento jev úzce souvisí s metodou kopírování/mazání části bitmapy a znamená to, že již bylo dosaženo minimální hranice velikosti tlačítka, nejedná se tedy o chybu programu.

Změna průhlednosti podkladu tlačítka

Zaškrtávací pole Průhledné pozadí určuje, zda má být podkladová část tlačítka průhledná, vhodnost této volby určil zpravidla tvůrce předlohy tlačítka a vy jej nemusíte měnit. Více o této problematice se dozvíte zde Jak vytvářet či upravovat vlastní předlohy

Tip - doposud byly všechny ovládací prvky, které jsme na této záložce popsali, společné pro obě stádia rollover tlačítka, tedy pro základní tlačítko a pro tlačítko zobrazované po nájezdu myší. Další ovládací prvky, a to nejen na této záložce, jsou již odděleny tak, aby bylo možné nastavit odlišný vzhled právě pro každé stádium tlačítka. Pro snadnější sjednocení vlastností obou stádií tlačítka je vždy u dvojic parametrů dostupné tlačítko [image] , které umožní okamžitě přenést všechny nastavené parametry z jedné množiny do druhé.

Změna barvy tlačítka

Přepínací pole Způsob přebarvení vám umožní spolu se zvolenou barvou určit způsob přebarvení tlačítka. Možné volby jsou tyto:

  1. Nepřebarvovat, tlačítko nebude nijak přebarvováno
  2. Plné přebarvení, všechny odstíny tlačítka budou tvořeny pouze vámi zvolenou barvou
  3. Tónování, tlačítko bude tónováno do vámi zvolené barvy, ale původní barvy tlačítka zůstanou zachovány

Samotnou barvu je možné zvolit tak, že kliknete na barevný panel pod nadpisem Barva tlačítka, dojde tak k zobrazení standardního Windows dialogu pro volbu barvy z palety. Ostatně s tímto panelem se setkáte i na ostatních záložkách okna, i když někde není možné pomocí těchto panelů barvu měnit, ale panel slouží jen pro její zobrazení.

Tip - aby bylo možné nastavit totožnou barvu pro obě stádia tlačítka, je panel pro volbu barvy vybaven lokálním menu, které umožní barvu zkopírovat a nastavit ji jiném libovolném panelu pro volbu barvy. Lokální menu se aktivuje stiskem pravého tlačítka myši, jak je patrné z obrázku

Změna kontrastu a světlosti tlačítka

Tlačítko Světlost a kontrast otevře dialogové okno, které vám umožní změnit světlost a kontrast tlačítka pomocí posuvných jezdců. Okno je vybaveno jednoduchým náhledem, takže nastavenou intenzitu světlosti a kontrastu můžete okamžitě sledovat.

TIP - zejména pomocí odlišné světlosti tlačítka v jednotlivých stádiích lze dosáhnou zajímavého efektu při přejíždění myší přes tlačítko.

Shrnutí
Popsali jsme si záložku Velikost a Barva, nyní umíme změnit velikost našeho tlačítka, nastavit jeho barvu a další vlastnosti související se vzhledem tlačítka, a to i odlišně pro pasivní či aktivní tlačítko pod myší.

Jak vytvořit mé tlačítko - Vložení textu

Záložka Váš text

Tato záložka vám umožní doplnit do tlačítka požadovaný text, který může být i víceřádkový. Záložka opět obsahuje stejné sady ovládacích prvků, takže lze nastavit odlišný vzhled textu, či přímo odlišný text, pro každé stádium rollover tlačítka zvlášť.

Zadání textu tlačítka

Do editačního pole Váš text vepište požadovaný text, ten může být maximálně 128 znaků dlouhý, ale ve většině případů bude váš text podstatně kratší a bude obsahovat typicky hesla jako: "O nás", "Ceník zboží", "Katalog", atd. Text tlačítka může být sestaven z více řádků, zarovnání řádků je pak popsáno zde

TIP - přesto, že text může být odlišný pro každé stádium tlačítka, takže můžete dosáhnou například takového efektu, že pasivní tlačítko obsahuje text "Klikni" a po najetí myší na tlačítko se text změní na "sem", ve většině případů budete požadovat stejný text v obou stádiích tlačítka. Proto mějte zaškrtnuté políčko Stejný text, a budete-li obsah textu editovat pro libovolné stádium, to druhé bude automaticky obsahovat totožný text.

Zarovnání textu

Text může být automaticky zarovnáván jak k bočním hranám tlačítka tak k horní či dolní hraně tlačítka. Odražení od hran je pak možné nastavit v pixelech pomocí editačních polí Okraj. Samotné zarovnání textu se volí pomocí tlačítka s příslušným symbolem, viz obrázek.

Volba fontu a barvy textu

Pomocí tlačítka Font… zobrazíte standardní Windows dialogové okno pro výběr písma, jeho řezu a velikosti.

Změna poměru stran fontu

Tlačítkem Pokročilé zobrazíte dialogové okno, kterým lze nastavovat dodatečné parametry fontu, které nenabízí standardní dialogové okno. Zde můžete nastavit odděleně šířku a výšku písma, lze tak dosáhnout zajímavého a moderního řezu písma. Zaškrtnutím políčka Použít separátní hodnoty potvrdíte váš záměr přejít od standardní jednočíselné velikosti fontu k separátním hodnotám pro šířku a výšku fontu.

Rychlá volba barvy textu

Pomocí panelu pro volbu barvy s nadpisem Barva fontu můžete měnit barvu vašeho textu. Pravé tlačítko myši na tomto panelu opět vyvolá lokální menu, které vám umožní kopírovat barvu/vkládat barvu.

Volba způsobu písma

Pomocí výklopného menu Způsob písma můžete zvolit takový styl písma, který se vám bude nejvíce líbit. Vhodná volba způsobu písma výrazně ovlivní vzhled vašeho tlačítka. Agama Web Buttons nabízí, narozdíl od konkurenčních programů, řadu stylů písma, které dodají vašim tlačítkům profesionální vzhled. Na výběr máte tyto způsoby písma:

  1. Normální, obyčejný text
  2. Blur, text bude rozostřen pomocí filtru Blur
  3. Stín světlý, text bude vystínován, přičemž stín bude světlejší než podklad textu
  4. Stín tmavý, text bude vystínován, přičemž stín bude tmavější než podklad textu
  5. Okraj světlý, text bude doplněn o světlý okraj
  6. Okraj tmavý, text bude doplněn o tmavý okraj
  7. Gradient eliptický, text se od středu směrem k okrajům zesvětluje
  8. Gradient eliptický obráceně, text se od okrajů ke středu zesvětluje
  9. Gradient horizontální, text se zprava do leva zesvětluje
  10. Gradient horizontální obráceně, text se zleva doprava zesvětluje
  11. Gradient vertikální, text se zdola nahoru zesvětluje
  12. Gradient vertikální obráceně, text se shora dolu zesvětluje
TIP - v případě použití způsobů písma s gradientem mějte na paměti, že musíte volit odstín barvy fontu přibližně v polovině jeho světlosti! Nelze kupříkladu vytvořit přechod černé barvy k ještě černější, ale lze vytvořit přechod šedé barvy k černé. Kombinací různých způsobů písma ve stádiích tlačítka můžete dosáhnout zajímavého efektu při přejíždění myší přes tlačítko. Například vystínovaný text v pasivním tlačítku a naopak text bez stínu v aktivním tlačítku způsobí příjemný efekt vznášejícího se písma nad tlačítkem. Mějte prosím na paměti, že právě text je tou nejdůležitější vlastností tlačítka - volbou hezkého a neokoukaného fontu, které můžete stahovat z mnoha stránek na internetu, můžete dosáhnout působivého a moderního vzhledu vašich tlačítek. Nezapomeňte, že font Arial, Times New Roman či Verdana zná každý a v dodávaných předlohách tlačítek je použit jen proto, že je předinstalován na většině počítačů, vy však jistě použijete hezčí a modernější fonty.

Shrnutí
Popsali jsme si záložku Váš text, nyní umíme doplnit do tlačítka požadovaný text, volit jeho font, řez a barvu a umíme ho zarovnat k okrajům tlačítka. Naučili jsme se dosahovat zajímavých RollOver efektů při volbě různých způsobů písma pro jednotlivá stádia tlačítka.

Jak vytvořit mé tlačítko - Vložení ikony do tlačítka

Záložka Obrázek symbolu

Tato záložka okna pro kompozici tlačítka vám umožní vložit do vašeho tlačítka grafický symbol - ikonu. Vložit lze běžný obrázek formátu BMP, GIF, PNG, JPG a další.

Vložení obrázku symbolu

Stisknutím tlačítka Nahrát obrázek dojde k zobrazení standardního dialogového okna pro otevření grafického souboru na disku - zvolte požadovaný soubor obrázku. Naopak tlačítko Vyčistit vyjme ikonu z vašeho tlačítka

TIP - nezapomeňte, že instalace Agama Web Buttons obsahuje rozsáhlou galerii ikon pro vaše tlačítka, která se nachází v adresáři ..\ClipArts. Stačí si jen vybrat.

Volba průhledné barvy ikony

Velmi důležitým krokem při vkládání ikony do vašeho tlačítka je určení barvy, která bude vůči tlačítku průhledná. Zpravidla se bude jednat o okrajové plochy (pozadí) ikony tvořené jednolitou barvou. Zprůhledněním této barvy docílíte plynulého zakomponování ikony do vašeho tlačítka. Průhlednou barvu ikony určíte tak, že najedete myší na náhled ikony (zobrazí se kurzor myši v podobě pipety) a kliknete právě na místo, resp. barvu, kterou si přejete zprůhlednit.

Je-li naopak vaším záměrem, aby žádná oblast ikony nebyla průhledná, zrušte označení zaškrtávacího pole Průhledné pozadí

Změna velikosti ikony

Změnit velikost ikony vložené do vašeho tlačítka je možné pomocí editačního prvku Velikost. Vložený symbol lze však pouze zmenšovat, protože lze předpokládat, že bude zpravidla nutné přizpůsobit velikost ikony oproti tlačítku právě jen zmenšením.

Změna zarovnání/pozice ikony

Ikonu lze zarovnat, resp. umístit v tlačítku obdobně, jako text tlačítka. K volbě zarovnání ikony ke stranám tlačítka, případně odražení ikony o libovolný počet pixelů od zvolené hrany, slouží panel Zarovnání, viz obrázek.

TIP - Velmi zajímavých efektů, při přejíždění kurzoru myši přes vaše tlačítko, lze dosáhnout právě pomocí uspořádání ikon ve vašem tlačítku. Nezapomeňte, že ikona může být jiná pro každé stádium tlačítka. Například použití černobílé ikony v klidovém stavu tlačítka a naopak použití stejné ikony ale barevné ve stádiu tlačítka pod myší, lze dosáhnou příjemného "obživnutí" tlačítka po nájezdu kurzorem myši!

Rozostření ikony

Ikonu lze rozostřit pomocí označením zaškrtávacího boxu Blur

Shrnutí
Popsali jsme si záložku Obrázek symbolu, nyní umíme doplnit do tlačítka ikonu zarovnat ji k libovolnému okraji, zmenšit ji a zejména stanovit průhlednou barvu pozadí ikony a plynule ji tak zakomponovat do tlačítka.

Jak vytvořit mé tlačítko - Náhled tlačítka, export tlačítka a uložení změn předlohy

Společné ovládací prvky v okně Průvodce vytvoření tlačítka

Okno průvodce pro vytvoření tlačítka obsahuje ve své dolní části tlačítka, o kterých jsme zatím nehovořili a jejichž význam si nyní popíšeme.

Tlačítko Zavřít - toto tlačítko uzavře okno průvodce vytvoření tlačítka a vy tak ukončíte komponování tlačítka.
Tlačítko Náhled v prohlížeči - toto tlačítko spustí internetový prohlížeč a zobrazí aktuální stav vaše tlačítka, můžete tak okamžitě vidět výsledek svého snažení.
Tlačítko Uložit předlohu - toto tlačítko zobrazí průvodce pro uložení vámi upravené předlohy do stávajícího nebo nového balíčku.
Tlačítko Exportovat tlačítko - toto důležité tlačítko zobrazí průvodce, který vám pomůže vyexportovat vašeho tlačítka do souboru, případně vám pomůže vytvořit HTML stránku, exportujete-li celou množinu tlačítek, resp. menu.

Jak vytvořit mé tlačítko - uložení změn předlohy

Uložení předlohy tlačítka do balíčku

Stisknutím tlačítka Uložit předlohu dojde k zobrazení okna Průvodce uložením předlohy. Pomocí tohoto průvodce můžete uložit aktuální stav tlačítka do nové předlohy v libovolném stávajícím balíčku, nebo i do zcela nového balíčku. V prvním kroku můžete upravit jen popis vašeho tlačítka, jak je patrné z obrázku. Stisknutím tlačítka Další se přeneseme do druhého kroku...

Zde můžete pomocí výklopného seznamu Název balíčku určit, do kterého balíčku předlohu uložíte. Můžete ponechat stávající balíček, nebo můžete zvolit jiný balíček v seznamu nebo můžete napsat do výklopného seznamu název vašeho nového balíčku, předloha bude v takovém případě uložena do zcela nového balíčku. Dále můžete vyplnit informace o tvůrci této předlohy do editačního pole Autor, do pole Kontakt na autora můžete uvést vaší Email adresu a nakonec můžete vyplnit popis balíčku v editačním poli Popis balíčku. Stisknutím tlačítka Uložit dojde k samotnému uložení předlohy do balíčku.

Jak vytvořit mé tlačítko - Export tlačítka aneb jdeme do finále

Export tlačítka do souboru

Vyexportování tlačítka do grafického souboru případně export celého menu je bezesporu nejdůležitější částí vývoje tlačítka pro vaše stránky či celého menu. Agama vám umožní vyexportovat vaše tlačítka do některého z možných grafických formátů a vytvoří vám HTML soubor, který může tvořit základní kostru vašich stránek. Pro tento účel slouží okno Průvodce exportu tlačítka, který má celkem tři kroky. Průvodce se spustí pomocí tlačítka Exportovat tlačítko, v takovém případě budete exportovat právě upravované tlačítko. Průvodce lze také spustit pomocí tlačítka Exportovat tlačítka na záložce Menu, v takovém případě budete exportovat hromadně všechna tlačítka vašeho menu.

Krok 1 - Volba grafického formátu tlačítka a jeho název

Pojmenování exportovaných souborů
Do editačního pole Prefix názvu obrázku uveďte název souboru, který bude použit jako základ pro vytvoření dvojice souborů pro každé tlačítko (pasivní a aktivní verze tlačítka). Dvojice vytvořených souborů bude pojmenován takto: p_VASNAZEV a a_VASNAZEV kde VASNAZEV je vámi uvedený prefix souboru, předřazené "p_" pak označuje tlačítko v pasivním stádiu a "a_" pak tlačítka v aktivním stádiu (po nájezdu myši). V případě ukládání menu, kdy je ukládána množina tlačítek, resp. množina souborů, je ještě za název souboru přidáno pořadové číslo tlačítka v menu.

Volba grafického formátu
Dále zvolte v přepínacím seznamu Formát obrázku grafický formát, do kterého chcete vyexportovat vaše tlačítka, u každého formátu můžete ještě specifikovat dodatečné parametry. Podporované grafické formáty jsou tyto:

  1. GIF - můžete ovlivnit redukci barev, redukce barev vede ke zmenšení souboru s tlačítkem avšak ke zhoršení kvality grafického provedení tlačítka. Tento formát je v současné době nejpoužívanějším formátem pro drobné grafické prvky webu a měli by jste ho používat i vy. Tento formát podporuje průhlednou barvu, což je velmi důležité pro tlačítka, která nemají přesný čtvercovitý tvar!
  2. PNG - můžete nastavit úroveň komprese tlačítka, samotná komprese nijak výrazně neovlivňuje velikost výsledného souboru, protože je již použit úsporný 8 bitový rozsah barev tlačítka. Ve výjimečných případech, v závislosti na grafice tlačítka, může být velikost souboru menší než souboru GIF. Tento formát podporuje průhlednou barvu, což je velmi důležité pro tlačítka, která nemají přesný čtvercovitý tvar!
  3. JPG - Můžete ovlivnit stupeň komprese a však opět na úkor kvality výsledné grafiky. Tento formát je vhodný zejména pro grafické objekty, které jsou tvořeny fotografií. Souvislé plochy tvořené jedním odstínem barvy mohou být narušeny a proto je vhodné tento formát používat jen ve výjimečných případech, kde je tlačítko tvořeno velice nehomogenní grafikou. Tento formát nepodporuje průhlednou barvu a proto není vhodný pro použití tlačítka nečtvercového tvaru!
  4. BMP - tento formát je pro přímé použití na www stránkách zcela nevhodný, protože velikost takového souboru bude značná. Tento formát nepoužívá ztrátovou kompresi dat, tlačítko je v tomto formátu uchováno v plné kvalitě a proto je tento formát vhodný zejména pro případnou dodatečnou úpravu tlačítka v některém z grafických editorů. Tento formát taktéž nepodporuje průhlednou barvu.

Krok 2 - Volba šablony pro vytváření HTML souboru a jeho název

Volba šablony pro vytváření HTML souboru a jeho název
V tomto kroku můžete zvolit HTML šablonu na jejímž základě bude sestaven váš HTML soubor s Javascript kódem, který zajišťuje RollOver efekt tlačítka. Při exportu jednoho tlačítka není generování HTML souboru moc důležité a nebude jej pravděpodobně potřebovat. Tento krok je naopak velmi důležitý v případě, že chcete exportovat celé tlačítkové menu. Na to, jak můžete vytvořit tlačítkové menu před tím, než ho vyexportujete a vytvoříte HTML soubor se prosím podívejte zde Záložka Menu

Zaškrtávacím polem Vytvořit HTML soubor určujete, zda chcete aby byl při exportu tlačítka či tlačítek vytvořen HTML soubor. Do editačního pole Název HTML souboru zadejte název, pod jakým bude HTML soubor vytvořen, je velmi pravděpodobné, že se tento soubor bude jmenovat index.html. V případě, že právě exportujete celé vaše tlačítkové menu (jen tehdy má generování HTML souboru skutečný význam), můžete zvolit rozložení tlačítek vašeho menu a to buď do horizontální roviny, která se používá tehdy, chcete-li vytvořit záložkový navigační panel, nebo vertikální roviny, chcete-li vytvořit klasické sloupcové menu z vašich tlačítek. Dále pomocí výklopného seznamu HTML předloha vyberte dostupnou předlohu, která bude použita pro vytvoření vaší HTML stránky. V závislosti na volbě šablony, bude pomocí panelu Ukázka HTML předlohy zobrazena typická grafická ukázka, znázorňující rozložení vašich tlačítek v HTML dokumentu. Výslednou stránku můžete ještě před samotným exportem prohlédnout pomocí tlačítka Náhled v prohlížeči v internetovém prohlížeči.

Krok 3 - Volba cílového adresáře při exportu souborů

Volba cílového adresáře při exportu souborů
Posledním krokem je samotné uložení grafický souborů s našimi tlačítky a případně uložení HTML dokumentu. Okno v kroku 3 obsahuje ovládací prvky pro procházení adresářové struktury vašeho disku, vyberte cílový adresář do kterého chcete uložit vaše soubory a stiskněte tlačítko Uložit, tím jsme zakončili export tlačítek resp. celého menu. Vygenerovaný HTML soubor obsahuje funkční Javascript kód, který zajišťuje RollOver efekt vašich tlačítek ve stránce, tuto stránku můžete dále upravovat a použít ji jako základ vašeho webu.

Shrnutí
Gratulujeme, právě jste vytvořili a uložili vaše tlačítka a HTML soubor. Přesto, že jsem se až na toto místo dostali v rámci kapitoly Jak vytvořit mé tlačítko věřte, že uložení hromadné sady tlačítek a celého menu je prakticky stejné. Rozdíl je jen v tom, že exportu celého menu předchází návrh více než jednoho tlačítka. Pro sestavení sady tlačítek slouží záložka Menu, která je popsána v následujícím odstavci.

Jak vytvořit tlačítkové menu - Vkládáme tlačítka do menu

Záložka Menu
Tato záložka je velmi důležitá, umožní vám seskupit libovolný počet vašich tlačítek a vytvořit tak HTML menu. Tato záložka umožní jednak skupinu tlačítek uložit do samostatného souboru s příponou *.acl, pro vaše pozdější úpravy menu, a zároveň vám umožní hromadně vyexportovat všechny grafické soubory tlačítek a vygenerovat HTML soubor s Javascript kódem, který zajišťuje RollOver efekt tlačítek. Sestrojení HTML stránky s grafickým menu ještě nebylo nikdy tak jednoduché, jako s Agamou.
Jdeme na to...

Jak to funguje aneb jak přidat tlačítko do menu
Ve spodní části okna Vytvoření mého tlačítka nebo tlačítkového menu se nacházejí tlačítka Vložit do menu a Nahradit v Menu. Pomocí těchto funkcí můžete v libovolné fázi návrhu vložit vaše upravované tlačítko do menu, resp. nahradit stávající označené tlačítko v menu.

Tip - Sestavení menu není omezeno pouze na vkládání obměn jedné předlohy tlačítka, ale naopak vaše menu může být sestaveno z libovolných předloh tlačítek! Po uzavření okna totiž v seznamu zůstanou i nadále zachována všechna doposud vložená tlačítka, a vy tak můžete třeba postupně projít všechny balíčky a do menu postupně vkládat zcela odlišná tlačítka! Tento fakt nabývá důležitosti obzvláště tehdy, uvědomíme-li si, že řada tlačítek v předlohách je vytvořena se záměrem, aby to či ono tlačítko bylo právě na konkrétní pozici v menu. jinými slovy, představíte-li si běžné záložkové menu, které znáte z mnoha internetových stránek, jistě si vybavíte, že krajní tlačítka mají zpravidla odlišný tvar, než tlačítka ve středu menu! Nebojte se tedy uzavřít okno komponování tlačítka, jít si pro jinou předlohu tlačítka do balíčku, spustit na ní opět komponování tlačítka a to pak vložit do menu na příslušné místo. To jak správně určit umístění tlačítka v menu, se dozvíte již v následujícím odstavci...

Změna pořadí tlačítek v menu

Ve fázi návrhu menu jsou jednotlivá tlačítka tvořena seznamem vedle sebe řazených tlačítek. pomocí tlačítek se symboly šika vlevo a šipka vpravo, můžete určovat pořadí tlačítek vašeho menu. Označené tlačítko v menu se vždy po stisku příslušné šipky posune v seznamu požadovaným směrem.

Vyjmutí tlačítka z menu

Libovolné tlačítko vložené do menu je možné z menu vyřadit pomocí tlačítka Vyjmout

Vyjmutí všech tlačítka z menu (vyčištění menu)

Všechan tlačítka najednou lze z menu vyjmout tlačítkem Vyjmout vše. Před důsledkem tohoto konání budete upozorněni a svůj záměr musíte potvrdit.

Jak vytvořit tlačítkové menu - Uložení kolekce tlačítek pro pozdější úpravy

Uložení kolekce tlačítek pro pozdější úpravy menu

Protože lze předpokládat, že váš webový projekt se bude časem rozrůstat a bude nutné do menu ve vašich stránkách přidat další tlačítko, můžete kolekci tlačítek uložit pro pozdější úpravu a následné rychlé přegenerování vašeho menu. K tomuto účelu slouží tlačítko Uložit kolekci. Ukládaný soubor vždy dostane příponu ACL - Agama Collection Tento soubor lze opětovně otevřít pomocí hlavního menu, volbou: Menu > Otevřít soubor s tlačítky menu

Náhled výsledného HTML menu ve webovém prohlížeči

To, že lze v libovolné fázi návrhu tlačítka spustit internetový prohlížeč a vy se můžete podívat na výsledek své práce v prohlížeči, by vás již nemělo překvapit. Oproti náhledu samostatného tlačítka je však v náhledu menu přeci jen něco odlišného! Před samotným spuštěním Internetového prohlížeče totiž ještě dojde k zobrazení dialogového okna Náhled pomocí HTML předlohy.

Toto okno v sobě skrývá totožné funkce, s jakými jsme se již setkali v kapitole pojednávající o exportu tlačítek - Průvodce exportu tlačítka. Pomocí tohoto okna můžete zvolit HTML šablonu, která bude použita pro vygenerování HTML souboru vašeho menu. Teprve po volbě HTML šablony a stisknutí tlačítka OK dojde ke spuštění prohlížeče a zobrazení vašeho menu. Více o volbě HTML šablony se dozvíte zde.

Jak vytvořit tlačítkové menu - Export celého menu

Export celého menu

Máte-li hotov návrh vašeho menu, tj. v kolekci jsou všechny tlačítka se správnými nápisy a ve správném pořadí, nic nám již nebrání vyexportovat celé menu a získat tak HTML soubor, který může tvořit základní kostru vašeho webového projektu. Tlačítko Exportovat tlačítka spustí průvodce pro uložení všech tlačítek menu a vytvoření HTML souboru. Průvodce je zcela totožný jako při exportu jednotlivých tlačítek, podívejte se na něj zde: Průvodce exportu tlačítka

Shrnutí
Gratulujeme! Právě jste se naučili nejen komponovat tlačítka podle vlastního vkusu ale umíte již vygenerovat celé menu včetně HTML stránky. Vašim skvělým projektům již nic nebrání v cestě a vy se můžete pustit do vývoje internetových stránek naplno s Agamou! Věříme, že vám náš program ušetří mnoho práce a přejeme vám mnoho úspěchů.

Autoři programu Agama Web Buttons.


Jak vytvořit tlačítko - základní ovládací prvky programu

Agama Web Buttons ver 2.51

Created by MP Software ©2004-2005
Program Agama Web Buttons je chráněn zákonem na ochranu atorských práv viz kapitola licenční ujednání.

Jak vytvářet vlastní předlohy tlačítek - úvod

Stránka se teprve připravuje a bude dostupná v některé pozdější verzi programu.


Licenční podmínky

Program Agama Web Buttons je šířen pod shareware licencí,  používání tohoto programu se řídí obecnými pravidly shareware licence a dále níže uvedenými pravidly.

1)	Program může uživatel používat bez časového omezení.

2)	Plná funkcionalita programu je dostupná pouze po registraci produktu, respektive uhrazení licenčního poplatku.

3)	Neregistrovaná, resp. zkušební kopie tohoto programu nesmí být používána pro komerční účely, tzn. veškeré soubory vytvořené tímto programem nesmí být zveřejněny na www stránkách s komerčním obsahem a nesmí být ani jinak použity pro komerční účel.

4)	Program a jeho součásti není dovoleno žádným způsobem upravovat!

5)	Program může být volně šířen, avšak bez registračního klíče !

6)	Šíření a zveřejňování registračního klíče je zakázáno!

7)	Zaregistrovaný program, resp. jeho plnou verzi je povoleno provozovat:
a) v případě soukromé osoby - na všech počítačích v domácnosti a všemi členy domácnosti.
b) v případě právnické osoby - na maximálně 3 počítačích. Pro každé další 3 započaté počítače je nutné provést další registraci a získat licenci. Program mohou na licencí dotčených PC používat všichni zaměstnanci/podílníci ve vztahu k právnické osobě, která program registrovala.

8)	Uživatel má po zaregistrování programu nárok na jeho další inovované verze a to bezplatně.

9)	Držitel plné licence má nárok na technickou podporu prostřednictvím stránky agamabuttons.wz.cz/support.html a to bez blíže určeného rozsahu.

10)	 Autor programu neodpovídá za žádné případné škody způsobené jeho provozováním.

11)	 Program Agama Web Buttons je chráněn autorským právem dle platných zákonů.

MP Software - Martin Procházka ©2005 agamabuttons.wz.cz


Untitled

Agama Web Buttons ver 2.44

Sorry, this manual is under construction, please download the latest version of Agama Web Buttons.